import { Component, ViewChild, ElementRef } from '@angular/core';
import { MatSidenav } from '@angular/material';
import { DarsApiService } from '../services/api.service';

@Component({
  selector: 'cse-dars-view',
  templateUrl: './dars-view.component.html',
  styleUrls: ['./dars-view.component.scss'],
})
export class DARSViewComponent {
  displayedColumns = [
    'view',
    'school',
    'program',
    'honors',
    'plan',
    'status',
    'download',
  ];

  dataSource = [
    {
      pending: true,
      school: 'Letters & Science',
      program: 'Psychology',
      honors: 'keep',
      plan: 12345,
    },
    {
      pending: false,
      school: 'Letters & Science',
      program: 'Psychology',
      honors: 'keep',
      plan: 12345,
    },
    {
      pending: false,
      school: 'Letters & Science',
      program: 'Psychology',
      honors: 'keep',
      plan: 12345,
    },
    {
      pending: false,
      school: 'Letters & Science',
      program: 'Psychology',
      honors: 'keep',
      plan: 12345,
    },
  ];

  constructor(private api: DarsApiService) {}
}
